import Vue from 'vue'
import Vuex from 'vuex'

Vue.use(Vuex)
Vue.prototype.$store = store
export const store = new Vuex.Store({
  state : {
    pilihan : 'Jenis Keuangan',
    count : 0,
    year : 2019,
    user : {
      token: '',
      id: -1,
      name: '',
      role: -1,
      pageList: []
    },
    baseUrl: 'http://localhost:5000'
  },
  computed: {
    pilihan() {
      return this.$store.getters.pilihan
    }
  },
  mutations : {
    changed(state, pil) {
      state.pilihan = pil
    },
    setYear(state, data) {
      state.year = data
    },
    setUser(state, data) {
      state.user.token = data.token
      state.user.id = data.id
      state.user.name = data.name
      state.user.role = data.role
      state.user.pageList = data.pageList
    },
    clearUser(state) {
      state.user.token = '',
      state.user.id = -1,
      state.user.name = '',
      state.user.role = -1,
      state.user.pageList = []
    }
  },
  getters : {
    pilihan : (state) => {
      return this.state.pilihan
    }
  }
    
})