import Vue from 'vue'
import Router from 'vue-router'
import LandingPage from '@/components/pages/LandingPage'
import NotFound from '@/components/pages/NotFound'
import LoginPage from '@/components/pages/LoginPage'
import DetailAnggaran from '@/components/pages/DetailAnggaran'
import SemuaAnggaran from '@/components/pages/SemuaAnggaran'
import SimpleCardContainer from '@/components/partials/SimpleCardContainer'
import PanelAdministrator from '@/components/pages/PanelAdministrator'
import UserSettings from '@/components/pages/SettingsPage'
Vue.use(Router)

export default new Router({
  routes: [
    {
      path: '*',
      name: '404',
      component: NotFound
    },
    {
      path: '/',
      name: 'LandingPage',
      component: LandingPage
    },
    {
      path: '/login',
      name: 'LoginPage',
      component: LoginPage
    },
    {
      path: '/detail-anggaran/:id',
      name: 'DetailAnggaranId',
      component: DetailAnggaran
    },
    {
      path: '/semua-anggaran',
      name: 'SemuaAnggaran',
      component: SemuaAnggaran
    },
    {
      path: '/tes',
      name: 'SimpleCardContainer',
      component: SimpleCardContainer
    },
    {
      path: '/panel-administrator',
      name: 'PanelAdministrator',
      component: PanelAdministrator
    },
    {
      path: '/pengaturan',
      name: 'UserSettings',
      component: UserSettings
    },
  ],
  mode: 'history',
})
